# Get note template customization

```
GET 
/note-settings/templates/:template_key/customization
```

Returns the current user's customization options for the given template.

## Request[​](#request "Direct link to request")

## Responses[​](#responses "Direct link to Responses")

* 200

The template customization.

## Operation spec

```json
{
  "method": "get",
  "path": "/note-settings/templates/{template_key}/customization",
  "operationId": "get-note-settings-template-customization",
  "parameters": [
    {
      "name": "template_key",
      "in": "path",
      "required": true,
      "description": "Human-readable identifier of the note template. Use [List note templates](/core-api/reference/2026-07-01/user/list-note-settings-templates) to get available keys.",
      "schema": {
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "The template customization.",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "note_sections_customization"
            ],
            "properties": {
              "note_template_custom_instructions": {
                "type": "string",
                "nullable": true,
                "maxLength": 700,
                "description": "Optional note-level (template-level) guidelines applied across the whole note for this template, in addition to any per-section custom instructions.",
                "example": "Prefer concise bullet-style phrasing throughout the note."
              },
              "note_sections_customization": {
                "type": "array",
                "items": {
                  "type": "object",
                  "required": [
                    "section_key"
                  ],
                  "properties": {
                    "section_key": {
                      "description": "Key of the note section this customization should apply to.",
                      "type": "string",
                      "example": "CHIEF_COMPLAINT",
                      "title": "note_section_key"
                    },
                    "custom_instruction": {
                      "type": "string",
                      "maxLength": 700,
                      "example": "Include discussion about first symptoms",
                      "description": "Allow to customize a note section by providing specific guidelines.  These guidelines must be as clear and concise as possible for best results.",
                      "title": "note_section_customization_custom_instruction"
                    },
                    "style": {
                      "type": "string",
                      "enum": [
                        "AUTO",
                        "PARAGRAPH",
                        "BULLET_POINTS"
                      ],
                      "example": "PARAGRAPH",
                      "description": "Specifies the desired style for the note section:\n\n  • `PARAGRAPH`: Prioritizes generating paragraphs;\n\n  • `BULLET_POINTS`: Prioritizes structuring content using bullet points.\n\n  • `AUTO`: Automatically picks the most natural formatting option.\n\nDefault is `AUTO`.",
                      "title": "note_section_customization_section_style"
                    },
                    "level_of_detail": {
                      "type": "string",
                      "enum": [
                        "DEFAULT",
                        "DETAILED"
                      ],
                      "description": "Specifies the desired level of details. Use `detailed` to get more details in the note section.",
                      "title": "note_section_customization_level_of_detail"
                    },
                    "split_by_problem": {
                      "type": "boolean",
                      "description": "Flag to structure the content of the note sections according to distinct clinical problems or topics addressed during the consultation."
                    }
                  },
                  "title": "note_section_customization"
                },
                "description": "Advanced per-section customization options for the chosen template.\n\nYou should **only specify sections that belong to the given template**, and **only specify customization options that are supported for the given section**. Also, only specify sections you want to customize, no need to be exhaustive.\n\n\nCheck [Note templates sections](/core-api/guides/note-templates/note-customization) for compatibility matrix."
              }
            },
            "title": "note_sections_customization"
          }
        }
      }
    }
  }
}
```
